//
// Created by sebastian on 05.08.26.
//

#include "LocalGameSession.h"

void LocalGameSession::sendCommand(const std::variant<ludo::MovePieceCommand, ludo::RollDiceCommand> &command) {
    IGameSession::sendCommand(command);
    m_gameMode.sendCommand(command);
}

std::vector<ludo::LudoEvent> LocalGameSession::pollEvents() {
    return m_gameMode.pollEvents();
}
